dpkg-query(1)

NOMBRE
dpkg-query - Una herramienta para consultar la base de datos de dpkg

SINOPSIS
dpkg-query [opción...] orden

DESCRIPCIÓN
dpkg-query es una herramienta que muestra información sobre paquetes listados en la base de datos de dpkg.

ÓRDENES

-l, --list [patrón-nombre-paquete...]
    Lista los paquetes que encajan con el patrón dado. Si no se entrega un patrón-nombre-paquete, lista los paquetes en /var/lib/dpkg/status, excluyendo aquellos marcados como no instalados (esto es, aquellos previamente purgados). Puede utilizar los comodines habituales del intérprete de órdenes en el patrón-nombre-paquete. Tenga en cuenta que posiblemente tenga que entrecomillar patrón-nombre-paquete para evitar que el intérprete realice una expansión del nombre del fichero. Por ejemplo, lo siguiente lista todos los paquetes que empiezan con «libc6»:
      dpkg-query -l 'libc6*'
    Las tres primeras columnas de la salida muestran la acción deseada, el estado del paquete así como errores, en este orden. Acción deseada:
      u = Desconocida
      i = Instalar
      h = Retener
      r = Eliminar
      p = Purgar
    Estado del paquete:
      n = No instalado
      c = Ficheros de configuración
      H = Parcialmente instalado
      U = Desempaquetado
      F = Parcialmente configurado
      W = Disparadores esperando
      t = Disparadores pendientes
      i = Instalado
    Marcas de error:
      <empty> = (none)
      R = Reinst-required
    Un estado con mayúscula o una letra de error indica que es posible que el cause problemas serios. Para más información acerca de los estados y marcas consulte dpkg(1). El formato de la salida de esta opción no se puede modificar, pero varía automáticamente para encajar el ancho de la terminal. Esto se hace para lectores humanos, pero no facilita su lectura por el sistema. Consulte -W (--show) y --showformat para ver una manera de configurar el formato de la salida.

-W, --show [patrón-nombre-paquete...]
    Just like the --list option this will list all packages matching the given pattern. However the output can be customized using the --showformat option. The default output format gives one line per matching package, each line having the name (extended with the architecture qualifier for Multi-Arch same packages) and installed version of the package, separated by a tab.

-s, --status nombre-paquete...
    Informa del estado del paquete definido. Esto sólo muestra la entrada de los paquetes con el estado de instalado en la base de datos. Cuando se enumeran varios nombre-paquete, las entradas de estado requeridas se separan con una línea vacía, en el mismo orden en que se especifican en la lista de argumentos.

-L, --listfiles nombre-paquete...
    Lista los ficheros que nombre-paquete ha instalado en el sistema. Cuando se enumeran varios nombre-paquete, las listas solicitadas de ficheros se separan con una línea vacía, en el mismo orden en que se aparecen en la lista de argumentos. Por otra parte, tenga en cuenta que no se muestran los ficheros creados por los scripts de instalación específicos al paquete.

--control-list nombre-paquete
    Muestra los ficheros de control instalados en el sistema pertenecientes al nombre-paquete. Se pueden utilizar como argumentos a --control-show.

--control-show nombre-paquete fichero-control
    Muestra por la salida estándar el fichero-control instalado en el sistema por el nombre-paquete.

-c, --control-path nombre-paquete [fichero-control]
    Lista las rutas de los ficheros de control de nombre-paquete instalados en el sistema. Si se define fichero-control, sólo se muestra la ruta de ese fichero de control. Advertencia: esta orden está obsoleta, utilice --control-list y --control-show en su lugar.

-S, --search patrón-búsqueda-fichero...
    Busca un paquete del que proviene un fichero que concuerda con el patrón dado. Puede utilizar todos los comodines estándar de intérprete de órdenes en el patrón. Esta orden no lista los ficheros adicionales creados por el script del responsable del paquete, ni tampoco alternativas.

-p, --print-avail nombre-paquete...
    Muestra detalles de nombre-paquete, tal y como aparece en /var/lib/dpkg/available. Cuando se enumeran varios nombre-paquete, las entradas consultadas en el fichero available (disponible) se separan con una línea vacía, y en el mismo orden en el que se especifican en la lista de argumentos. Los usuarios de interfaces de usuario basados en APT deberían utilizar apt-cache show nombre-paquete, ya que el fichero available sólo se actualiza si se utiliza dselect.

-?, --help
    Muestra el modo de uso y termina.

--version
    Muestra la versión y termina.

OPCIONES

--admindir=directorio
    Cambia el directorio con la base de datos de dpkg. Por omisión es /var/lib/dpkg.

--load-avail
    También carga el fichero disponible al utilizar las órdenes --show y --list, que actualmente solo consultan el fichero de estado de forma predeterminada.

-f, --showformat=formato
    Esta opción sirve para especificar el formato de la salida que --show producirá. El formato es una cadena que será la salida de cada paquete listado. En la cadena de formato, “\” introduce escapes:
        \n  nueva línea
        \r  retorno de línea
        \t  tabulación
    “\” posicionado antes de cualquier otro carácter suprime cualquier significado especial que puede tener el siguiente carácter, útil para “\” and “$”. Puede incluir información del paquete insertando variables de referencia a los campos del paquete usando la sintaxis “${field[;width]}”. Los campos se alinean a la derecha a menos que el ancho sea negativo, en cuyo caso se alinean a la izquierda. Los siguientes campos se reconocen pero no están siempre disponibles en el fichero de estado (sólo se guardan los campos internos o campos contenidos en el paquete binario):
        Architecture
        Bugs
        Conffiles (interno)
        Config-Version (interno)
        Conflicts
        Breaks
        Depends
        Description
        Enhances
        Essential
        Filename (interno, relacionado con la interfaz)
        Homepage
        Installed-Size
        MD5sum (interno, relacionado con la interfaz)
        MSDOS-Filename (interno, relacionado con la interfaz)
        Maintainer
        Origin
        Package
        Pre-Depends
        Priority
        Provides
        Recommends
        Replaces
        Revision (obsoleto)
        Section
        Size (interno, relacionado con la interfaz)
        Source
        Status (interno)
        Suggests
        Tag (generalmente no en el «.deb» pero en los ficheros
        «Packages» del repositorio)
        Triggers-Awaited (interno)
        Triggers-Pending (interno)
        Version
    A continuación se muestran campos virtuales, generados por dpkg-query a partir de los valores de otros campos (tenga en cuenta que no utilizan nombres válidos de campo en los ficheros de control):
        binary:Package
        binary:Summary
        db:Status-Abbrev
        source:Package
        source:Version
    The default format string is “${binary:Package}\t${Version}\n”. Actually, all other fields found in the status file (i.e. user defined fields) can be requested, too. They will be printed as-is, though, no conversion nor error checking is done on them. binary:Package is a special field that will print the package name with an architecture qualifier (like "libc6:amd64") if the package has a Multi-Arch field with a value of same, and as such its name could be ambiguous. To get the name of the dpkg maintainer and the installed version, you could run:
      dpkg-query -W -f='${binary:Package} ${Version}\t${Maintainer}\n' dpkg

ESTADOS DE SALIDA

0   La consulta requerida se ejecutó con éxito.

1   Problems were encountered while parsing the command line or performing the query, including no file or package being found (except for --control-path).

ENTORNO

DPKG_ADMINDIR
    If set and the --admindir option has not been specified, it will be used as the dpkg data directory.

COLUMNS
    Esta opción influencia la salida de --list al modificar el ancho de la salida.

VÉASE TAMBIÉN
dpkg(1).

TRADUCTOR
Rudy Godoy <rudy@kernel-panik.org>, Rubén Porras <nahoo@inicia.es>, Bruno Barrera C. <bruno.barrera@igloo.cl>, Carlos Izquierdo <gheesh@ertis.net>, Esteban Manchado y NOK. Debian L10n Spanish <debian-l10n-spanish@lists.debian.org>.
Revisiones por Santiago Vila <sanvila@unex.es>, Javier Fernández-Sanguino, Rubén Porras, Luis Uribe y Omar Campagne.